Package org.rexxla.bsf.engines.rexx

# Class EnumerationWrapper

java.lang.Object
org.rexxla.bsf.engines.rexx.EnumerationWrapper

All Implemented Interfaces:
  `Enumeration`

public class EnumerationWrapper extends Object implements Enumeration
Class to allow Rexx enumerating objects of classes implementing the Enumeration interface, if running under Java 1.1. It turns out that on all Java versions (tested on Sun's Windows versions of: 1.1.8, 1.2.2, 1.3.1_06, 1.4.1_01) "`Method.invoke()`" throws an &quot`IllegalAccessException`", if accessing public methods of inner classes. Java 1.5 does not allow identifiers to be named 'enum', hence renamed the variable.

    ------------------------ Apache Version 2.0 license -------------------------
        Copyright (C) 2001-2006 Rony G. Flatscher

        Licensed under the Apache License, Version 2.0 (the "License");
        you may not use this file except in compliance with the License.
        You may obtain a copy of the License at

            http://www.apache.org/licenses/LICENSE-2.0

        Unless required by applicable law or agreed to in writing, software
        distributed under the License is distributed on an "AS IS" BASIS,
        WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
        See the License for the specific language governing permissions and
        limitations under the License.
     -----------------------------------------------------------------------------

Version:
  1.2, 2006-01-01
Author:
  Rony G. Flatscher (WU-Wien/Wirtschaftsuniversität Wien, http://www.wu-wien.ac.at/english)

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static String`
  `version`
  Version string indicating version of this class (majorVersion*100+minorVersion concatenated with a dot and the sorted date of last change.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EnumerationWrapper(Enumeration enumObject)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `hasMoreElements()`
  Implements the interface `java.util.Enumeration.hasMoreElements()`.
  `Object`
  `nextElement()`
  Implements the interface `java.util.Enumeration.nextElement()`.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Enumeration

  `asIterator`

- ## Field Details

  - ### version

    public static String version
    Version string indicating version of this class (majorVersion*100+minorVersion concatenated with a dot and the sorted date of last change.

- ## Constructor Details

  - ### EnumerationWrapper

    public EnumerationWrapper(Enumeration enumObject)

- ## Method Details

  - ### hasMoreElements

    public boolean hasMoreElements()
    Implements the interface `java.util.Enumeration.hasMoreElements()`.
    Specified by:
      `hasMoreElements` in interface `Enumeration`

  - ### nextElement

    public Object nextElement()
    Implements the interface `java.util.Enumeration.nextElement()`.
    Specified by:
      `nextElement` in interface `Enumeration`
    Throws:
      `NoSuchElementException` - raised, if using the Enumerator interface and moving beyond the end of the supplier object.